

# ListBrowserProfiles
<a name="API_ListBrowserProfiles"></a>

Lists all browser profiles in your account.

## Request Syntax
<a name="API_ListBrowserProfiles_RequestSyntax"></a>

```
POST /browser-profiles?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json

{
   "name": "string"
}
```

## URI Request Parameters
<a name="API_ListBrowserProfiles_RequestParameters"></a>

The request uses the following URI parameters.

 ** [maxResults](#API_ListBrowserProfiles_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListBrowserProfiles-request-uri-maxResults"></a>
The maximum number of results to return in the response.  
Valid Range: Minimum value of 1. Maximum value of 100.

 ** [nextToken](#API_ListBrowserProfiles_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListBrowserProfiles-request-uri-nextToken"></a>
A token to retrieve the next page of results.  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

## Request Body
<a name="API_ListBrowserProfiles_RequestBody"></a>

The request accepts the following data in JSON format.

 ** [name](#API_ListBrowserProfiles_RequestSyntax) **   <a name="bedrockagentcorecontrol-ListBrowserProfiles-request-name"></a>
The name of the browser profile to filter results by.  
Type: String  
Pattern: `[a-zA-Z][a-zA-Z0-9_]{0,47}`   
Required: No

## Response Syntax
<a name="API_ListBrowserProfiles_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "nextToken": "string",
   "profileSummaries": [ 
      { 
         "createdAt": "string",
         "description": "string",
         "lastSavedAt": "string",
         "lastSavedBrowserId": "string",
         "lastSavedBrowserSessionId": "string",
         "lastUpdatedAt": "string",
         "name": "string",
         "profileArn": "string",
         "profileId": "string",
         "status": "string"
      }
   ]
}
```

## Response Elements
<a name="API_ListBrowserProfiles_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [nextToken](#API_ListBrowserProfiles_ResponseSyntax) **   <a name="bedrockagentcorecontrol-ListBrowserProfiles-response-nextToken"></a>
A token to retrieve the next page of results.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 2048.  
Pattern: `\S*` 

 ** [profileSummaries](#API_ListBrowserProfiles_ResponseSyntax) **   <a name="bedrockagentcorecontrol-ListBrowserProfiles-response-profileSummaries"></a>
The list of browser profile summaries.  
Type: Array of [BrowserProfileSummary](API_BrowserProfileSummary.md) objects

## Errors
<a name="API_ListBrowserProfiles_Errors"></a>

For information about the errors that are common to all actions, see [Common Errors](CommonErrors.md).

 ** AccessDeniedException **   
This exception is thrown when a request is denied per access permissions  
HTTP Status Code: 403

 ** InternalServerException **   
This exception is thrown if there was an unexpected error during processing of request  
HTTP Status Code: 500

 ** ThrottlingException **   
This exception is thrown when the number of requests exceeds the limit  
HTTP Status Code: 429

 ** ValidationException **   
The input fails to satisfy the constraints specified by the service.  
HTTP Status Code: 400

## See Also
<a name="API_ListBrowserProfiles_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/bedrock-agentcore-control-2023-06-05/ListBrowserProfiles) 